<?php
/**
 * WCP Zapier Class for ajax requests
 */

    class wcpz_ajax extends main_wcp {
        // properties

        // methods
		/**
		 * Backend Ajax 
		 * @since 1.0.1
		 */
		public function myajax_wcpzbackend_callback() {
            global $wpdb;

			$creds = request_filesystem_credentials(site_url() . '/wp-admin/', '', false, false, array());
			if ( ! WP_Filesystem($creds) ) {
				request_filesystem_credentials($url, '', true, false, null);
				$response['logged_in'] = 'false';
				echo json_encode($response);
				wp_die();
			}
			global $wp_filesystem;
			// nonce and logged in check
            $nonce = isset($_POST['nextNonce']) ? $_POST['nextNonce'] : '';
            $logged_in = is_user_logged_in();
            if (!wp_verify_nonce( $nonce, 'myajax-next-nonce' )
                || !$logged_in ) {

                $response['logged_in'] = 'false';
                header( "Content-Type: application/json" );
                echo json_encode($response);
                wp_die();
            }

			// Set options for WP Contacts Zapier events
			if (isset($_POST['zapier_settings']) && $_POST['zapier_settings'] == 'true') {
				$activation = trim($_POST['activation']);
				$url = "https://www.scripthat.com/activation/check_activation.php";
				$valid = 'false';
				$url_parts = parse_url(home_url());
                $website = $url_parts['host'];
				// Strip the protocol off of the site
    			$find = array( 'http://', 'https://' );
    			$replace = '';
    			$website = str_replace( $find, $replace, $website );
				$response = wp_remote_post($url,
                	array(
                    	//'headers' => array('Content-Type' => 'application/json; charset=utf-8'),
                        'method' => 'POST',
						'httpversion' => '1.0',
						//'sslverify' => false,
                        'body' => array(
                        	'activation' => $activation,
                        	'website'    => $website,
                        	'query'      => "verify"
                         )
                     )
                );
                if ($response['response']['code'] == 200) {   
					//print_r($response);
					$body = json_decode($response['body']);
					$valid = $body->valid;
                }
				$settings = array(
					"valid"      => $valid,
					"activation" => $activation
				);
				$ser_settings = serialize($settings);
				update_option('shwcpz_license', $ser_settings);
				$return['saved'] = 'true';
				$return['valid'] = $valid;
				//$return['orig_response'] = $response;

			}

			// Release code from this site
			if (isset($_POST['zapier_release']) && $_POST['zapier_release'] == 'true') {
				$activation = trim($_POST['activation']);
                $url = "https://www.scripthat.com/activation/check_activation.php";
                $valid = 'false';
				$url_parts = parse_url(home_url());
        		$website = $url_parts['host'];
                // Strip the protocol off of the site
                $find = array( 'http://', 'https://' );
                $replace = '';
                $website = str_replace( $find, $replace, $website );
                $response = wp_remote_post($url,
                    array(
                        'method' => 'POST',
                        'httpversion' => '1.0',
                        //'sslverify' => false,
                        'body' => array(
                            'activation' => $activation,
                            'website'    => $website,
                            'query'      => "release"
                         )
                     )
                );
                if ($response['response']['code'] == 200) {
                    //print_r($response);
                    $body = json_decode($response['body']);
                    $valid = $body->valid;
					update_option('shwcpz_license', '');
					$return['released'] = 'true';
                }
                //$return['orig_response'] = $response;	
			}


			header( "Content-Type: application/json" );
            echo json_encode($return);
            wp_die();


		} // End Zapier Backend Ajax

	} // end class
